<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\Attributes;

#[\Attribute(\Attribute::TARGET_CLASS)]
class Blocek
{
    public function __construct(
        protected bool $lazy = false,
        protected ?string $title = null,
        protected ?string $descr = null,
        protected ?string $icon = null,
    ) {
    }

    public function isLazy(): bool
    {
        return $this->lazy;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function getDescr(): ?string
    {
        return $this->descr;
    }

    public function getIcon(): ?string
    {
        return $this->icon;
    }
}
